bump version to 1.6-1
[vncterm.git] / debian / changelog
1 vncterm (1.6-1) pve pmg; urgency=medium
2
3   * rebuild for Debian Buster
4
5  -- Proxmox Support Team <support@proxmox.com>  Wed, 22 May 2019 19:42:26 +0200
6
7 vncterm (1.5-3) unstable; urgency=medium
8
9   * depend on libjpeg62-turbo instead of libjpeg62
10
11  -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Nov 2017 12:46:19 +0100
12
13 vncterm (1.5-2) unstable; urgency=medium
14
15   * replaced pure plack cursor with a more visible pointer with white edges
16
17  -- Proxmox Support Team <support@proxmox.com>  Wed, 07 Jun 2017 13:53:17 +0200
18
19 vncterm (1.5-1) unstable; urgency=medium
20
21   * use unifont to support more glyphs (range 0x0000..0xFFFF)
22
23   * support wide characters
24
25   * support combining glyphs
26
27  -- Proxmox Support Team <support@proxmox.com>  Wed, 24 May 2017 13:12:55 +0200
28
29 vncterm (1.4-2) unstable; urgency=medium
30
31   * fix bound checking on cursor move
32
33  -- Proxmox Support Team <support@proxmox.com>  Sat, 06 May 2017 08:09:29 +0200
34
35 vncterm (1.4-1) unstable; urgency=medium
36
37   * recompile for Debian Stretch / PVE 5
38
39  -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:19:48 +0100
40
41 vncterm (1.3-2) unstable; urgency=medium
42
43   * bound check utf8 characters
44
45   * detect empty first parameter of escape codes
46
47  -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:11:00 +0100
48
49 vncterm (1.3-1) unstable; urgency=low
50
51   * update cipher suites to GnuTLS's NORMAL
52
53   * allow building with GnuTLS 3.5
54
55   * update LibVNCServer to 0.9.11
56
57  -- Proxmox Support Team <support@proxmox.com>  Fri, 3 Feb 2017 08:52:31 +0100
58
59 vncterm (1.2-1) unstable; urgency=low
60
61   * recompile for Debian Jessie / PVE 4
62
63  -- Proxmox Support Team <support@proxmox.com>  Fri, 27 Feb 2015 20:00:46 +0100
64
65 vncterm (1.1-8) unstable; urgency=low
66
67   * update applet signature (new code signing cert)
68
69  -- Proxmox Support Team <support@proxmox.com>  Fri, 25 Jul 2014 06:57:46 +0200
70
71 vncterm (1.1-7) unstable; urgency=low
72
73   *  new option -notls (for novnc)
74
75  -- Proxmox Support Team <support@proxmox.com>  Mon, 23 Jun 2014 13:30:50 +0200
76
77 vncterm (1.1-6) unstable; urgency=low
78
79   * set Caller-Allowable-Codebase and remove Trusted-Library. This avoids
80     security popups with latest Java 7u45. Also see:
81   
82     http://stackoverflow.com/questions/19393826/java-applet-manifest-allow-all-caller-allowable-codebase
83
84  -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 11:27:08 +0100
85
86 vncterm (1.1-5) unstable; urgency=low
87
88   * use Comodo code sign cert for applet signature
89
90  -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 08:35:10 +0100
91
92 vncterm (1.1-4) unstable; urgency=low
93
94   * Allow to add intermediate certificates to /etc/pve/local/pve-ssl.pem 
95   (users previously used apache option SSLCertificateChainFile for that).
96   
97  -- Proxmox Support Team <support@proxmox.com>  Mon, 03 Jun 2013 08:26:59 +0200
98
99 vncterm (1.1-3) unstable; urgency=low
100
101   *  re-enable javascript-events.patch (used for migrate/reload)
102
103  -- Proxmox Support Team <support@proxmox.com>  Fri, 10 May 2013 07:56:35 +0200
104
105 vncterm (1.1-2) unstable; urgency=low
106
107   * recompile VnCViewer.jar with openJDK
108   
109   * set trusted-lib to avoid security popup
110   
111   * disable unused javascript-events.patch
112
113  -- Proxmox Support Team <support@proxmox.com>  Sat, 20 Apr 2013 16:05:41 +0200
114
115 vncterm (1.1-1) unstable; urgency=low
116
117   * recompile for wheezy
118
119  -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Mar 2013 08:26:04 +0100
120
121 vncterm (1.0-3) unstable; urgency=low
122
123   * fix focus traversal
124
125  -- Proxmox Support Team <support@proxmox.com>  Tue, 21 Aug 2012 09:14:04 +0200
126
127 vncterm (1.0-2) unstable; urgency=low
128
129   * do not create a new process group (with setsid), so
130   we can kill the whole pve task if used inside fork_worker().
131
132  -- Proxmox Support Team <support@proxmox.com>  Tue, 13 Sep 2011 10:49:32 +0200
133
134 vncterm (1.0-1) unstable; urgency=low
135
136   * use TigerVNC java sources
137   
138   * implement TLS encryption and vencrypt password auth
139   
140   * removed support for -passwdfile option
141
142  -- root <root@maui.maurer-it.com>  Mon, 24 Jan 2011 10:46:25 +0100
143
144 vncterm (0.9-2) unstable; urgency=low
145
146   * compiled for debian etch
147   
148   * use memmove instead of rfbDoCopyRect (avoid SIGSEGV when
149   called with negative dy)
150
151  -- Proxmox Support Team <support@proxmox.com>  Wed, 22 Apr 2009 10:02:08 +0200
152
153 vncterm (0.9-1) stable; urgency=low
154
155   * initial import
156
157  -- Proxmox Support Team <support@proxmox.com>  Thu, 27 Dec 2007 05:57:17 +0100
158